Retrieve a list

Returns a list of departments.

Tip

Check the Swagger page for more technical information on the endpoints.

Endpoint details

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/departments

Headers: Authorization: Bearer {token}, User-Agent: {agent} Scope: connector-protimeapi-departments.read

Response properties

Field Type Required Writable Description
changeVersion string Read-only Property to indicate the order of changes.
id integer Read-only Unique identifier for the department.
name.default string Read-only Default name of the department.
name.translations object Read-only Translated names for supported languages.
externalCode string Read-only External code for the department.

Filters

This endpoint does not support filter parameters.

External references

This endpoint does not support external references.

Pagination

The endpoint supports continuation-token-based pagination. When more results are available, the response includes a nextLink containing the continuationToken query parameter for the next page.

Error responses

Status Condition
401 Missing or invalid access token, or insufficient scope
414 Request URI too long (continuation token)

Examples

Retrieve all departments

GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/departments